https://bugs.gentoo.org/557586

From b24e59fba39120bfdb9e521bbd0af8f33a60466e Mon Sep 17 00:00:00 2001
From: Mike Frysinger <vapier@gentoo.org>
Date: Sat, 15 Aug 2015 14:12:39 -0400
Subject: [PATCH] configure: fix 3rd arg w/AC_ARG_ENABLE

The 3rd arg is used when --{enable,disable}-foo are passed in, not when
the feature is enabled.  Use the existing $enableval instead.

Signed-off-by: Mike Frysinger <vapier@gentoo.org>
---
 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

--- a/configure
+++ b/configure
@@ -11898,14 +11898,14 @@ fi
 
 # Check whether --enable-bpf-compiler was given.
 if test "${enable_bpf_compiler+set}" = set; then :
-  enableval=$enable_bpf_compiler; enable_bpfc="yes"
+  enableval=$enable_bpf_compiler; enable_bpfc="$enableval"
 else
   enable_bpfc="no"
 fi
 
 # Check whether --enable-nfsynproxy was given.
 if test "${enable_nfsynproxy+set}" = set; then :
-  enableval=$enable_nfsynproxy; enable_nfsynproxy="yes"
+  enableval=$enable_nfsynproxy; enable_nfsynproxy="$enableval"
 else
   enable_nfsynproxy="no"
 fi
